com.h3c.of.lib.msg

## Enum MeterModCommand

- java.lang.Object
- - java.lang.Enum<MeterModCommand>
  - - com.h3c.of.lib.msg.MeterModCommand

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<MeterModCommand>

      public enum MeterModCommand
      extends Enum<MeterModCommand>
      implements OfpCodeBasedEnum

  Designates meter mod commands; Since 1.3.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD` New meter; Since 1.3.
    `DELETE` Delete specified meter; Since 1.3.
    `MODIFY` Modify specified meter; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static MeterModCommand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MeterModCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final MeterModCommand ADD

      New meter; Since 1.3.

    - #### MODIFY

          public static final MeterModCommand MODIFY

      Modify specified meter; Since 1.3.

    - #### DELETE

          public static final MeterModCommand DELETE

      Delete specified meter; Since 1.3.

  - ### Method Detail

    - #### values

          public static MeterModCommand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeterModCommand c : MeterModCommand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeterModCommand valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.